Bug 1716039 - [RFE] Create an ansible role for setting up a tang server.
Summary: [RFE] Create an ansible role for setting up a tang server.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: tang
Version: 8.0
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: 8.2
Assignee: Sergio Correia
QA Contact: Martin Zelený
Khushbu Borole
URL:
Whiteboard:
Depends On:
Blocks: 1822173
TreeView+ depends on / blocked
 
Reported: 2019-06-01 08:42 UTC by Thorsten Scherf
Modified: 2021-05-26 06:01 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
.New Ansible role can now set up a Tang server With this enhancement, you can deploy and manage a Tang server as part of an automated disk encryption solution with the new `nbde_server` system role. The `nbde_server` Ansible role, which is included in the `rhel-system-roles` package, supports the following features: * Rotating Tang keys * Deploying and backing up Tang keys For more information, see link:https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/8/html/security_hardening/configuring-automated-unlocking-of-encrypted-volumes-using-policy-based-decryption_security-hardening#rotating-tang-keys_configuring-automated-unlocking-of-encrypted-volumes-using-policy-based-decryption[Rotating Tang server keys].
Clone Of:
Environment:
Last Closed: 2021-05-26 05:57:46 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)

Description Thorsten Scherf 2019-06-01 08:42:23 UTC
Description of problem:

Please provide an Ansible role for setting up a tang server.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Sergio Correia 2020-01-17 10:48:06 UTC
Role is called nbde_server, and is currently in the linux-system-roles github upstream: https://github.com/linux-system-roles/nbde_server

Comment 12 CongLi 2021-05-26 05:57:46 UTC
Since the issue described in this bug should be resolved (VERIFIED), it has been closed with a resolution of CURRENTRELEASE.

If the fix for this is not released yet, check if this will ever get fixed. In case of a negative answer (ex: for  zstream releases that won't be updated anymore) then please change it as WONTFIX.

If there's anything else to be done on this BZ, if it's still active, please reopen this bug with comment.

Please note: for those bugs which are not included in errata, please add keyword 'TestOnly'.
TestOnly: Use this when there is no code delivery involved, or for use when code is already upstream and will be incorporated automatically to the next release for testing purposes only.

Thank you.


Note You need to log in before you can comment on or make changes to this bug.